resource "kubernetes_namespace" "application_namespace" {
  metadata {
    name = "application"
  }
}

resource "kubernetes_config_map" "weather_config" {
  metadata {
    name = "weather-hcl"
    namespace = kubernetes_namespace.application_namespace.id
  }
  data = {
    "config.hcl" = <<EOF
openweather_secret = "${var.openweather_secret}"
s3 {
	endpoint_url = "${var.S3_endpoint}"
	region = "${var.S3_region}"
	aws_access_key_id = "${var.S3_key_id}"
	aws_secret_access_key = "${var.S3_key_secret}"
}
EOF
  }
}