variable "openweather_secret" {
  description = "open weather api secret"
}
variable "S3_key_secret" {
  description = "S3 backend key secret"
}
variable "S3_endpoint" {
  default = "s3.localdomain"
  description = "S3 backend endpoint"
}
variable "S3_region" {
  default = "FR"
  description = "S3 backend region"
}
variable "S3_key_id" {
  default = "antoine"
  description = "S3 backend key id"
}
variable "application_image_tag" {
  default = "docker.registry/weather"
  description = "container tag deployed"
}
variable "application_version" {
  default = "latest"
  description = "container tag version deployed"
}
locals {
  service_match_label = "weather-service"
  deployment_match_label = "poller-deployment"
  environment = "prod"
  config_volume_name = "config-weather-volume"
  log_volume_name ="log-weather-volume"
}